#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}f2f.sh tree.nwk${NOCOLOR}\n\
     or\n\
     ${GREEN}f2f.sh trees_list.txt${NOCOLOR}\n\n\
Use to recolor a single Newick tree or a list of them. Modify ${RED}\$LPMETADATA/LP_colorfile.txt${NOCOLOR} in the script to the location of the coloring file if using a custom file.\n"

exit 1
fi

# usage: f2f.sh (tree.nwk) - to color a single tree or many trees. Modify $LPMETADATA/LP_colorfile.txt to the location of the coloring file

echo $1 > /tmp/templist && formatFigtree2.pl /tmp/templist $LPMETADATA/LP_colorfile.txt && rm -f /tmp/templist
