#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}multi-cd-hit-90plus.sh fasta.fa\n\n${NOCOLOR}\
The script works only if executed in the same directory as the input sequences.\n"

exit 1
fi

mkdir -p multi-cd-hit-out
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -i $1 -o multi-cd-hit-out/"$1".90
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.91 -i $1 -o multi-cd-hit-out/"$1".91
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.92 -i $1 -o multi-cd-hit-out/"$1".92
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.93 -i $1 -o multi-cd-hit-out/"$1".93
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.94 -i $1 -o multi-cd-hit-out/"$1".94
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.95 -i $1 -o multi-cd-hit-out/"$1".95
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.96 -i $1 -o multi-cd-hit-out/"$1".96
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.97 -i $1 -o multi-cd-hit-out/"$1".97
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.98 -i $1 -o multi-cd-hit-out/"$1".98
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.99 -i $1 -o multi-cd-hit-out/"$1".99
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.992 -i $1 -o multi-cd-hit-out/"$1".992
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.994 -i $1 -o multi-cd-hit-out/"$1".994
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.996 -i $1 -o multi-cd-hit-out/"$1".996
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.998 -i $1 -o multi-cd-hit-out/"$1".998
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 1 -i $1 -o multi-cd-hit-out/"$1".100
    seqkit stats multi-cd-hit-out/"$1".?? multi-cd-hit-out/"$1".9?? multi-cd-hit-out/"$1".100 "$1"

exit 0
