#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}multi-cd-hit.sh fasta.fa\n\n${NOCOLOR}\
The script works only if executed in the same directory as the input sequences.\n"

exit 1
fi

mkdir -p multi-cd-hit-out
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.5 -n 3 -i $1 -o multi-cd-hit-out/"$1".50
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.6 -n 4 -i $1 -o multi-cd-hit-out/"$1".60
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.65 -n 4 -i $1 -o multi-cd-hit-out/"$1".65
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.7 -i $1 -o multi-cd-hit-out/"$1".70
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.8 -i $1 -o multi-cd-hit-out/"$1".80
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -i $1 -o multi-cd-hit-out/"$1".90
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.95 -i $1 -o multi-cd-hit-out/"$1".95
    cd-hit -s 0.5 -g 1 -d 0 -T 6 -M 16000 -c 0.99 -i $1 -o multi-cd-hit-out/"$1".99
    seqkit stats multi-cd-hit-out/"$1".?? "$1"

exit 0
