#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}multi-trimal-10minus.sh alignment.fa\n\n${NOCOLOR}\
The script works only if executed in the same directory as the input sequences. Accepts the same input formats as trimal\n"

exit 1
fi

mkdir -p multi-trimal-out
    echo "Processing gap threshold 0.01" && trimal -gt 0.01 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt001.fa
    echo "Processing gap threshold 0.02" && trimal -gt 0.02 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt002.fa
    echo "Processing gap threshold 0.03" && trimal -gt 0.03 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt003.fa
    echo "Processing gap threshold 0.04" && trimal -gt 0.04 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt004.fa
    echo "Processing gap threshold 0.05" && trimal -gt 0.05 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt005.fa
    echo "Processing gap threshold 0.06" && trimal -gt 0.06 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt006.fa
    echo "Processing gap threshold 0.07" && trimal -gt 0.07 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt007.fa
    echo "Processing gap threshold 0.08" && trimal -gt 0.08 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt008.fa
    echo "Processing gap threshold 0.09" && trimal -gt 0.09 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt009.fa
    echo "Processing gap threshold 0.1" && trimal -gt 0.1 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt010.fa
    echo "Removing empty sequences" && find multi-trimal-out/ -type f -size 0 -delete
    seqkit stats "$1" multi-trimal-out/"$1".?????.fa

exit 0

