#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}multi-trimal-90plus.sh alignment.fa\n\n${NOCOLOR}\
The script works only if executed in the same directory as the input sequences. Accepts the same input formats as trimal\n"

exit 1
fi

mkdir -p multi-trimal-out
    trimal -gt 0.9 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt090.fa
    trimal -gt 0.91 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt091.fa
    trimal -gt 0.92 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt092.fa
    trimal -gt 0.93 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt093.fa
    trimal -gt 0.94 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt094.fa
    trimal -gt 0.95 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt095.fa
    trimal -gt 0.96 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt096.fa
    trimal -gt 0.97 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt097.fa
    trimal -gt 0.98 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt098.fa
    trimal -gt 0.99 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt099.fa
    trimal -gt 1 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt100.fa
    seqkit stats "$1" multi-trimal-out/"$1".?????.fa

exit 0

