#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$*" ]; then echo -e "Usage:\n\n\
     ${GREEN}multi-trimal.sh alignment.fa\n\n${NOCOLOR}\
The script works only if executed in the same directory as the input sequences. Accepts the same input formats as trimal\n"

exit 1
fi

mkdir -p multi-trimal-out
    echo "Processing gap threshold 0.01" && trimal -gt 0.01 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt001.fa
    echo "Processing gap threshold 0.05" && trimal -gt 0.05 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt005.fa
    echo "Processing gap threshold 0.1" && trimal -gt 0.1 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt010.fa
    echo "Processing gap threshold 0.2" && trimal -gt 0.2 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt020.fa
    echo "Processing gap threshold 0.3" && trimal -gt 0.3 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt030.fa
    echo "Processing gap threshold 0.4" && trimal -gt 0.4 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt040.fa
    echo "Processing gap threshold 0.5" && trimal -gt 0.5 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt050.fa
    echo "Processing gap threshold 0.6" && trimal -gt 0.6 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt060.fa
    echo "Processing gap threshold 0.7" && trimal -gt 0.7 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt070.fa
    echo "Processing gap threshold 0.8" && trimal -gt 0.8 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt080.fa
    echo "Processing gap threshold 0.9" && trimal -gt 0.9 -keepheader -in $1 2>&1 |seqkit seq -w 0 -o multi-trimal-out/"$1".gt090.fa
    echo "Removing empty sequences" && find multi-trimal-out/ -type f -size 0 -delete
    seqkit stats "$1" multi-trimal-out/"$1".gt???.fa

exit 0

