#!/bin/bash

RED='\033[0;31m'
GREEN='\033[0;32m'
BLUE='\033[0;34m'
NOCOLOR='\033[0m'

if [ -z "$LPMETADATA" ]; then echo -e "\nPlease export the LPMETADATA environment variable like so:\n\n\
     ${GREEN}export LPMETADATA=/path/to/LPMETADATA${NOCOLOR}\n"

elif [ -z "$*" ]; then echo -e "\nUsage:\n\
The is a simple wrapper script for ${GREEN}blastdbcmd${NOCOLOR}. It uses a file with a list of LukProt IDs, for example:\n\n\
     ${GREEN}seqkit_extract_LP_seqs_using_idlist.sh \$LPMETADATA/examples/example_list.txt${NOCOLOR}\n\n\
Contents of ${RED}example_list.txt${NOCOLOR}:\n"
echo `cat -E $LPMETADATA/examples/example_list.txt`| sed -E 's/\$/\n/g' | sed -e 's/ //g'
echo -e "The output (stdout) will be sequences with these two IDs, unwrapped.\n\n"; else

blastdbcmd -db LukProt_v1.5.1_masked -entry_batch $1 |seqkit seq -w 0 #takes a file with LukProt ID list, outputs sequences in unwrapped FASTA format

fi

exit 0
